PROBE::SCSI.IODISP(3stap)

NAME
probe::scsi.iodispatching - SCSI mid-layer dispatched low-level SCSI command

SYNOPSIS

scsi.iodispatching

VALUES

device_state
    The current state of the device

data_direction
    The data_direction specifies whether this command is from/to the device 0 (DMA_BIDIRECTIONAL), 1 (DMA_TO_DEVICE), 2 (DMA_FROM_DEVICE), 3 (DMA_NONE)

dev_id
    The scsi device id

req_addr
    The current struct request pointer, as a number

lun
    The lun number

request_buffer
    The request buffer address

channel
    The channel number

device_state_str
    The current state of the device, as a string

request_bufflen
    The request buffer length

data_direction_str
    Data direction, as a string

host_no
    The host number

SEE ALSO
tapset::scsi(3stap)